Bug 131731 - Inserting USB keychain results in "khubd: page allocation failure. order:0, mode:0x1"
Inserting USB keychain results in "khubd: page allocation failure. order:0, m...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-03 14:24 EDT by Daniel Linder
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 00:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Linder 2004-09-03 14:24:00 EDT
Description of problem:
When inserting a USB keychain, the following show up in /var/log/messages:
--- begin messages ---
khubd: page allocation failure. order:0, mode:0x1
 [<02142fb8>] __alloc_pages+0x28b/0x298
 [<02142fdd>] __get_free_pages+0x18/0x24
 [<021466d4>] kmem_getpages+0x15/0x94
 [<02147461>] cache_grow+0x155/0x29a
 [<021477b3>] cache_alloc_refill+0x20d/0x23d
 [<02147a3b>] kmem_cache_alloc+0x46/0x4c
 [<42869400>] scsi_probe_and_add_lun+0xd7/0x1bd [scsi_mod]
 [<42869a59>] scsi_scan_target+0x52/0xa0 [scsi_mod]
 [<42869ae8>] scsi_scan_channel+0x41/0x60 [scsi_mod]
 [<42869bb4>] scsi_scan_host_selected+0xad/0xe1 [scsi_mod]
 [<42869bf7>] scsi_scan_host+0xf/0x12 [scsi_mod]
 [<42bdbdd6>] storage_probe+0x201/0x22e [usb_storage]
 [<022725ef>] usb_probe_interface+0x41/0x4b
 [<0222ee7f>] bus_match+0x27/0x45
 [<0222eeda>] device_attach+0x3d/0x65
 [<0222f0ed>] bus_add_device+0x62/0x99
 [<0222e375>] device_add+0x71/0x102
 [<0227a489>] usb_set_configuration+0x2e8/0x337
 [<02274b88>] usb_new_device+0xb3/0x10f
 [<02275cf0>] hub_port_connect_change+0x373/0x4f7
 [<022761fa>] hub_events+0x386/0x437
 [<022762ab>] hub_thread+0x0/0xe4
 [<022762c9>] hub_thread+0x1e/0xe4
 [<0211cbaf>] autoremove_wake_function+0x0/0x2d
 [<022762ab>] hub_thread+0x0/0xe4
 [<0211cbaf>] autoremove_wake_function+0x0/0x2d
 [<021041d9>] kernel_thread_helper+0x5/0xb
--- end messages ---

Version-Release number of selected component (if applicable):
Running kernel "kernel-2.6.8-1.538"

How reproducible:
So far every time (tried 3 times before checking /var/log/messages).

Steps to Reproduce:
Actual results:

Expected results:
/dev/sda1 should be accessable/mountable.

Additional info:
Comment 1 Dave Jones 2004-11-27 17:00:46 EST
still a problem in the 2.6.9 based update ?
Comment 2 Daniel Linder 2004-11-28 09:50:53 EST
Sorry, don't have that system to test any more.  Close this bug out if you like,
I'll re-open it if the 2.6.9 doesn't fix it.

Note You need to log in before you can comment on or make changes to this bug.